Library Version 11.2.5.3

Db::get_flags()
Prev | Chapter 2. The Db Handle | Next

## Db::get_flags()

    #include <db_cxx.h>

    int Db::get_flags(u_int32_t *flagsp);

The `Db::get_flags()` method returns the current database flags as set by the Db::set_flags() method.

The `Db::get_flags()` method may be called at any time during the life of the application.

The `Db::get_flags()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### flagsp

The `Db::get_flags()` method returns the current flags in flagsp.

### Class

Db

### See Also

Database and Related Methods, Db::set_flags()

Prev | Up | Next
Db::get_errpfx() | Home | Db::get_h_ffactor()